import { ElementType } from "react";
import { useAppSelector } from "../../hooks";

export const WithHocAuth = (Component: ElementType) => {
  return function WithHocAuthComponent({ ...props }: {
    [key: string]: any;
  }) {
    const auth = false; // useAppSelector();
    const refresh = false; // useAppSelector();

    return (
      <Component
        auth={auth && refresh}
        {...props}
      />
    );
  };
};

export type AuthType = any;
